Execute Action By Id

Execute Action By Id
Runs an action with given id

Runs an action with given id

Request
URI
POST
https://ip-42.net-99.vm.sof-mbu.broadcom.net/vco/api/actions/{actionId}/executions
COPY
Path Parameters
string
actionId
Required

actionId

Query Parameters
string of array
expand
Optional

expand


Request Body
ActionExecutionContext of type(s) application/json
Required
{
    "executionId": "string",
    "parameters": [
        {
            "value": {
                "0": "V",
                "1": "a",
                "2": "l",
                "3": "u",
                "4": "e",
                "5": " ",
                "6": "O",
                "7": "b",
                "8": "j",
                "9": "e",
                "10": "c",
                "11": "t"
            },
            "name": "string",
            "type": "Example types are: SecureString, MimeAttachment, Regexp, Array/VC:VirtualMachine, boolean, string and etc.",
            "description": "string",
            "scope": "string",
            "updated": false,
            "encrypt-value": false
        }
    ],
    "profilerOptions": {
        "enabled": false,
        "debuggerEnabled": false,
        "tokenReplayEnabled": false
    },
    "breakpoints": [
        {
            "workflowId": "string",
            "elementName": "string",
            "lineNumber": 0,
            "active": false
        }
    ],
    "async-execution": false
}
string
executionId
Optional

executionId

array of object
parameters
Optional

parameters

object
profilerOptions
Optional

profilerOptions

array of object
breakpoints
Optional

breakpoints

boolean
async-execution
Optional

async-execution

Authentication
This operation uses the following authentication methods.
Responses
200

The request is successful

Returns WsActionExecutionResult of type(s) application/json
{
    "value": {
        "0": "V",
        "1": "a",
        "2": "l",
        "3": "u",
        "4": "e",
        "5": " ",
        "6": "O",
        "7": "b",
        "8": "j",
        "9": "e",
        "10": "c",
        "11": "t"
    },
    "name": "string",
    "type": "Example types are: SecureString, MimeAttachment, Regexp, Array/VC:VirtualMachine, boolean, string and etc.",
    "description": "string",
    "scope": "string",
    "updated": false,
    "errorMessage": "string",
    "state": "string",
    "debugging": false,
    "errorLineNumber": 0,
    "encrypt-value": false,
    "execution-id": "string"
}
value
Optional

value

string As ^[\p{L}_$][\p{L}0-9_$]*$
name
Required

name

string
type
Optional

type

string
description
Optional

description

string
scope
Optional

scope

Possible values are : local, token,
boolean
updated
Optional

updated

string
errorMessage
Optional

errorMessage

string
state
Optional

state

Possible values are : canceled, completed, running, suspended, waiting, waiting-signal, failed, initializing,
boolean
debugging
Optional

debugging

integer As int32 As int32
errorLineNumber
Optional

errorLineNumber

boolean
encrypt-value
Optional

encrypt-value

string
execution-id
Optional

execution-id


401

The user is not authorized

Returns WsActionExecutionResult of type(s) application/json
"WsActionExecutionResult Object"
value
Optional

value

string As ^[\p{L}_$][\p{L}0-9_$]*$
name
Required

name

string
type
Optional

type

string
description
Optional

description

string
scope
Optional

scope

Possible values are : local, token,
boolean
updated
Optional

updated

string
errorMessage
Optional

errorMessage

string
state
Optional

state

Possible values are : canceled, completed, running, suspended, waiting, waiting-signal, failed, initializing,
boolean
debugging
Optional

debugging

integer As int32 As int32
errorLineNumber
Optional

errorLineNumber

boolean
encrypt-value
Optional

encrypt-value

string
execution-id
Optional

execution-id


404

Can not find an action with the specified id

Returns WsActionExecutionResult of type(s) application/json
"WsActionExecutionResult Object"
value
Optional

value

string As ^[\p{L}_$][\p{L}0-9_$]*$
name
Required

name

string
type
Optional

type

string
description
Optional

description

string
scope
Optional

scope

Possible values are : local, token,
boolean
updated
Optional

updated

string
errorMessage
Optional

errorMessage

string
state
Optional

state

Possible values are : canceled, completed, running, suspended, waiting, waiting-signal, failed, initializing,
boolean
debugging
Optional

debugging

integer As int32 As int32
errorLineNumber
Optional

errorLineNumber

boolean
encrypt-value
Optional

encrypt-value

string
execution-id
Optional

execution-id


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/vco/api/actions/{actionId}/executions